Redmine - Feature #7747

Add capability to ask\accept\reject review of patches (flag support on attachments)
2011-03-01 10:35 - pasquale [:dedalus]

Status: New Start date: 2011-03-01
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour

Target version:

Resolution:

Description

In bugzilla, we can ask for reviewing as patch: generally speaking an attachment can flag as "patch" and in this case the engine
enable a flag to ask a review to project owner.

The project owner can reject the patch (review-) or approve the patch (review+).

It's great if redmine could be this in some way: add flag to attachment to make attachment "patch" and enable for "patch" flags to
ask\accept\reject reviews

Related issues:

Related to Redmine - Patch #2525: Redmine management of Git repositories New 2009-01-18
Related to Redmine - Feature #469: Code Review/Approve workflow? Closed

Related to Redmine - Feature #2048: Code Review Module New 2008-10-18
History

#1 - 2011-03-01 14:39 - Etienne Massip
- Category set to SCM

A la Gerrit / Gitosis ?

#2 - 2011-03-01 14:56 - pasquale [:dedalus]

Etienne Massip wrote:
A la Gerrit / Gitosis ?
| dont know well git behavior.

Surely my english don't help you( :-) ) : see an example on
https://bugzilla.mozilla.org/show_bug.cgi?id=468808

#3 - 2011-03-01 15:24 - Etienne Massip

- Subject changed from Add capability to ask\accept\reject review of patches to Add capability to ask\accept\reject review of patches (flag support on
attachments)

#4 - 2011-03-13 10:48 - pasquale [:dedalus]

| think that in a production environment this is an essential feature: if I'm the owner of a project and some collegue create a patch, it's very important
to comunicate with him with flag: review+, riview- (of patch).

Priority should be High and not Normal

#5 - 2011-03-13 13:04 - pasquale [:dedalus]
xref bug #469 and bug #2048

#6 - 2011-03-15 08:52 - pasquale [:dedalus]
- File Immagine.png added

attached example screenshot

#7 - 2011-03-24 05:38 - Toshi MARUYAMA

- Category changed from SCM to Issues workflow
https://bugzilla.mozilla.org/show_bug.cgi?id=468808
https://www.redmine.org/issues/469
https://www.redmine.org/issues/2048

Files

Immagine.png 19.3 KB 2011-03-15 pasquale [:dedalus]
